public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: kernel/selinux-testsuite: guard against missing unconfined_service_t
@ 2026-09-11 13:19 Ondrej Mosnacek
0 siblings, 0 replies; only message in thread
From: Ondrej Mosnacek @ 2026-09-11 13:19 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 153042bdadf7fc139b8b9516921510424e7b8e59
Author : Ondrej Mosnacek <omosnace@redhat.com>
Date : 2021-09-24T12:02:53+02:00
Stats : +5/-2 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/153042bdadf7fc139b8b9516921510424e7b8e59?branch=pr775-checkpolicy-revdeps
Log:
kernel/selinux-testsuite: guard against missing unconfined_service_t
RHEL-6 didn't have unconfined_service_t yet, so we must skip the fd::use
workaround there.
Signed-off-by: Ondrej Mosnacek <omosnace@redhat.com>
---
diff --git a/kernel/selinux-testsuite/runtest.sh b/kernel/selinux-testsuite/runtest.sh
index 188c240..bafc765 100755
--- a/kernel/selinux-testsuite/runtest.sh
+++ b/kernel/selinux-testsuite/runtest.sh
@@ -305,8 +305,11 @@ rlJournalStart
"Harden tun_tap test against missing defs"
# needed to avoid a flood of AVCs when run via restraint
- rlRun "sed -i 's/type unconfined_t;/type unconfined_t, unconfined_service_t;/' policy/test_policy.if" 0
- rlRun "sed -i 's/\\(allow \\\$1 initrc_t:fd use;\\)/\\1 allow \$1 unconfined_service_t:fd use;/' policy/test_policy.if" 0
+ # (RHEL-6 doesn't have unconfined_service_t)
+ if ! rlIsRHEL '<7'; then
+ rlRun "sed -i 's/type unconfined_t;/type unconfined_t, unconfined_service_t;/' policy/test_policy.if" 0
+ rlRun "sed -i 's/\\(allow \\\$1 initrc_t:fd use;\\)/\\1 allow \$1 unconfined_service_t:fd use;/' policy/test_policy.if" 0
+ fi
exclude_tests=""
force_tests=""
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:19 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:19 [tests/selinux] pr775-checkpolicy-revdeps: kernel/selinux-testsuite: guard against missing unconfined_service_t Ondrej Mosnacek
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox